<?php

/**
 * Theme and Admin Footer Handler
 * 
 * @package cwpt
 * @since 1.0.0
 */

defined('ABSPATH') or die;

class CWPT_Theme
{
    /**
     * Output JavaScript in admin footer for product price/inventory display
     * 
     * @return void
     */
    public static function enable_js_on_footer()
    {
        global $post, $product_object;
        
        if (!$post) {
            return;
        }
        if ('product' != $post->post_type) {
            return;
        }
        
        $is_cwpt_type = ($product_object && in_array($product_object->get_type(), CWPT_Settings::get('name_ids')) ? true : false);
        ?>
        <script type='text/javascript'>
            jQuery(document).ready(function() {
                <?php
                foreach (CWPT_Settings::get('name_ids') as $type) {
                ?>

                    jQuery('#general_product_data .pricing').addClass('show_if_<?php echo esc_attr($type); ?>');
                    jQuery('.product_data_tabs .inventory_options').addClass('show_if_<?php echo esc_attr($type); ?>');

                    jQuery('#inventory_product_data .options_group').addClass('show_if_<?php echo esc_attr($type); ?>');
                    jQuery('#inventory_product_data .options_group .form-field').addClass('show_if_<?php echo esc_attr($type); ?>');


                    jQuery('#inventory_product_data .form-field._manage_stock_field').addClass('show_if_<?php echo esc_attr($type); ?>');

                    jQuery('.postbox-header .tips').addClass('show_if_<?php echo esc_attr($type); ?>');

                <?php
                }
                ?>

                <?php
                if ($is_cwpt_type) {
                ?>
                    jQuery('#general_product_data .pricing').show();
                    jQuery('.product_data_tabs .inventory_options').show();
                    jQuery('.postbox-header .tips').show();

                    jQuery('#inventory_product_data .options_group').show();
                    jQuery('#inventory_product_data .options_group .form-field').show();
                    jQuery('#inventory_product_data .form-field._manage_stock_field').show();

                <?php
                }
                ?>

            });
        </script>
        <?php
    }
}
